# yamllint disable
# License: MIT (c) GitLab Inc.
# yamllint enable
---
rules:
- id: "javascript/exec/rule-child_process"
  languages:
  - "javascript"
  - "typescript"
  message: |
    Detected non-literal calls to child_process.exec(). This could lead to a command
    injection vulnerability.
  metadata:
    cwe: "CWE-95"
    owasp: "A1:2017-Injection"
    shortDescription: "Improper Neutralization of Directives in Dynamically Evaluated
      Code ('Eval Injection')"
    # yamllint disable
    source-rule-url: "https://github.com/nodesecurity/eslint-plugin-security/blob/master/rules/detect-child-process.js"
    # yamllint enable
  patterns:
  - pattern: "child_process.exec(...)"
  - pattern-not: "child_process.exec('...')"
  severity: "WARNING"
